/*****************************************************************************

SERIAL.H		

Copyright (C) 1990
	Elographics, Inc.
	105 Randolph Road
	Oak Ridge, TN  37830
	(615) 482-4100

Written on February 5, 1990 by Lawrence Adams.

*****************************************************************************/

extern byte comport, baudrate, key, echo, data, parity, stop;
extern int handshaking;

#define NONE		0							/* handshaking modes */
#define HARDWARE	1
#define INVERTED	2
#define SOFTWARE	3

int		initserialcontroller(void);
int		clearserialcontroller(void);
void		waitforxmitok(void);
boolean	getsmartsetpacketserial(packettype packet, byte p);
boolean	getanysmartsetpacketserial(packettype packet);
int		getanyASCIIpacketserial(char *s, int maxlength, boolean lfstop);
boolean	getanyotherbinarypacketserial(packettype packet);
boolean	sendsmartsetpacketserial(packettype packet);
